import React, {useEffect, useState} from 'react'

import { getNoticeDetail } from '@/services/notice'

import { Modal, Timeline  } from 'antd'

import { filterTimestamp } from '@/filters/index'

type DetailModalProps = {
    id: string,
    DetailModalVisible: boolean,
    closeModal: () => void
} 

const DetailModal: React.FC<DetailModalProps> = ({id, DetailModalVisible, closeModal}) => {

    const [detailData, setDetailData] = useState<Record<string, any>>({})

    // 获取详情
    const GetNoticeDetail = async (): Promise<void> => {
       const {code, data} =  await getNoticeDetail(id)
       if (code === 0) {
           console.log(data);
           setDetailData(data)
       }
    }

    useEffect( () => {
        GetNoticeDetail()
    }, [])
    return (
        <Modal visible={DetailModalVisible} title="查看详情" onOk={closeModal} onCancel={closeModal}>
             <Timeline>
                <Timeline.Item ><p>{detailData.label}</p> <p>{filterTimestamp(detailData.createTime)}</p></Timeline.Item>
                <Timeline.Item >
                    <p>公告内容</p>
                    <p>{detailData.content}</p>
                </Timeline.Item>
                <Timeline.Item >已有{detailData.readNum}人查看</Timeline.Item>
            </Timeline>
        </Modal>
    )
}
export default DetailModal